Gecode::ArrayTraits< ArgArray< IntSet > > Class Reference

Traits of IntSetArgs. More...

`#include <array-traits.hpp>`

## Public Types

typedef IntSetArgs | StorageType
typedef IntSet | ValueType
typedef IntSetArgs | ArgsType

## Detailed Description

Traits of IntSetArgs.

Definition at line 89 of file array-traits.hpp.

## Member Typedef Documentation

## StorageType

typedef IntSetArgs Gecode::ArrayTraits< ArgArray< IntSet > >::StorageType

Definition at line 91 of file array-traits.hpp.

## ValueType

typedef IntSet Gecode::ArrayTraits< ArgArray< IntSet > >::ValueType

Definition at line 92 of file array-traits.hpp.

## ArgsType

typedef IntSetArgs Gecode::ArrayTraits< ArgArray< IntSet > >::ArgsType

Definition at line 93 of file array-traits.hpp.

The documentation for this class was generated from the following file:

- gecode/int/array-traits.hpp